Download it now!
Bug 76013 - File Corruption : If original file has image whose link is broken then the RT gets corrupted.
Summary: File Corruption : If original file has image whose link is broken then the RT...
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Umesh Kadam
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-11 06:52 UTC by Umesh Kadam
Modified: 2014-03-18 14:01 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File has image whose link is broken. (14.76 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-11 06:52 UTC, Umesh Kadam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Umesh Kadam 2014-03-11 06:52:40 UTC
Created attachment 95575 [details]
File has image whose link is broken.

Issue Simulation:

1) Open the File in LO.
2) Save it as docx.
3) Open the file in MSO.

Expected Behavior:

The roundtripped file results in corruption

Expected behavior:

File should open without any corruption.

Observation:
It is observed that the original file has images whose link is broken, which is causing the corruption in RT file.
Comment 1 Jorendc 2014-03-11 17:55:32 UTC
I can confirm this corruption, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: f32df2d590d0ee14f09664934457ba9e8de8cbe6
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-01_02:31:14

Roundtripped document opened with Word for Mac 2011.

Kind regards,
Joren
Comment 2 Umesh Kadam 2014-03-17 18:06:42 UTC
changes have been merged to master